aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..5158e8e
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# Additional options go to configure.
+
+echo "Rebuilding ./configure with autoreconf..."
+autoreconf -f -i
+if [ $? -ne 0 ]; then
+ echo "autoreconf failed"
+ exit $?
+fi
+
+./configure --enable-maintainer-mode "$@"